### Method

# ECal ComponentRange free

since: 3.34

#### Declaration [src]

    void
    e_cal_component_range_free (
      ECalComponentRange* range
    )

#### Description [src]

Free the `range`, previously allocated by e_cal_component_range_new(), `e_cal_component_range_new_take()` or e_cal_component_range_copy().

Available since: 3.34

This method is not directly available to language bindings.

#### Parameters

`range`

  Type: `ECalComponentRange`

  An `ECalComponentRange` to free.

  The argument can be `NULL`.